#COMMON
CORESDK_RTOS_VERSION="08_00_00_12"
CORESDK_RTOS_VERSION_DOT="08.00.00.12"
CORESDK_RTOS_VERSION_SHORT="08_00_00"
CORESDK_RTOS_VERSION_SHORT_DOT="08.00.00"
CORESDK_RTOS_FAMILY="jacinto"
CORESDK_RTOS_SOC="j721e"
CORESDK_RTOS_SOC_CAPS="J721E"
CORESDK_RTOS_WEBLINK_NIGHTLY="http://gtweb.dal.design.ti.com/nightly_builds/core-sdk-rtos-${CORESDK_RTOS_FAMILY}/758-2021-06-08_07-11-54/artifacts/output/webgen/exports"
CORESDK_RTOS_WEBLINK_RC="http://tigt_qa.dal.englab.ti.com/qacm/test_area/CORESDK/08.00.00/rtos/08_00_00_12/${CORESDK_RTOS_FAMILY}/08_00_00_12/exports"
CORESDK_RTOS_WEBLINK_EXTERNAL="https://software-dl.ti.com/jacinto7/esd/processor-sdk-rtos-jacinto7/firmware/08_00_00_12"
CORESDK_RTOS_WEBLINK="${CORESDK_RTOS_WEBLINK_RC}"
CORESDK_RTOS_WEBLINK_FIRMWARE="${CORESDK_RTOS_WEBLINK_EXTERNAL}"
CORESDK_RTOS_MD5SUM="${CORESDK_RTOS_WEBLINK}/md5sum.txt"

#Tools and Dependencies
BIOS_VERSION="6_83_02_07"
XDC_VERSION="3_61_04_40_core"
NDK_VERSION="3_80_00_19"
NS_VERSION="2_80_00_17"
CGT_ARM_VERSION="20.2.0.LTS"
CGT_C6X_VERSION="8.3.7"
CGT_C7X_VERSION="1.4.2.LTS"
CGT_PRU_VERSION="2.3.3"
GCC_ARCH64_VERSION="9.2-2019.12"
GCC_ARCH64_VERSION_WEB="9.2019.12"
GCC_ARCH64_BIN_PREFIX_STR="aarch64-elf"
CG_XML_VERSION="2.61.00"
UIA_VERSION="2_30_01_02"
XDAIS_VERSION="7_24_00_04"
DSPLIB_C66_VERSION="3_4_0_0"
MATHLIB_C66_VERSION="3_1_2_1"

#CORESDK RTOS Linux
CORESDK_RTOS_LINUX_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_LINUX_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_linux.tar.xz"
CORESDK_RTOS_LINUX_SHA256SUM="b65461721502231c95da3c6cc9f73fb24c9ea4253d95cccb567cf39fae798cfc"

#CORESDK RTOS Windows
CORESDK_RTOS_WINDOWS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_WINDOWS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_windows.tar.xz"
CORESDK_RTOS_WINDOWS_SHA256SUM="80c7fdaabc02e3d00d02508417e3cb62464eb5371d51b2bbc46991ee259e0194"

#CORESDK RTOS Firmwares
CORESDK_RTOS_FIRMWARE_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_FIRMWARE_URL="${CORESDK_RTOS_WEBLINK_FIRMWARE}/coresdk_rtos_${CORESDK_RTOS_SOC}_${CORESDK_RTOS_VERSION}_firmware.tar.xz"
CORESDK_RTOS_FIRMWARE_SHA256SUM="e4c611199128a9dbf144fab64e4bfaf17c295be0c3b0a54fa6b77dd37f09de77"

#CORESDK RTOS Addon
CORESDK_RTOS_ADDON_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_ADDON_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_addon.tar.xz"
CORESDK_RTOS_ADDON_SHA256SUM="5cd91c5545c41e41ad12cb39040479c66153dd36fe5401c2a8c81f3057bd8816"

#CORESDK RTOS Docs
CORESDK_RTOS_DOCS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_DOCS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_docs_only.tar.xz"
CORESDK_RTOS_DOCS_SHA256SUM="e8db2895e1ace7718dbc6b77bae4f3bd8a51337189cf4ae59cdbc582ff92318a"

#PDK
PDK_VERSION="${CORESDK_RTOS_VERSION_DOT}"
PDK_URL="${CORESDK_RTOS_WEBLINK}/pdk_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}.zip"
PDK_SHA256SUM="894efa23843f6b9e1c64f841a9baca4eac7d90242f9623cd3a9c95a8e301efbb"

#ETHFW
ETHFW_VERSION="${CORESDK_RTOS_VERSION_DOT}"
ETHFW_URL="${CORESDK_RTOS_WEBLINK}/ethfw.zip"
ETHFW_SHA256SUM="2176595705c6eb5f0a33a7eb62f47639aa676ec6116496bddb79913ef3b9156f"

#MCUSW
MCUSW_VERSION="${CORESDK_RTOS_VERSION_DOT}"
MCUSW_URL="${CORESDK_RTOS_WEBLINK}/mcusw.zip"
MCUSW_SHA256SUM="74a560867bbbb8e4feb2a0da3e7e3e1207eefb76ff1378a8b0f76ea3bca84241"

#IVISION
IVISION_VERSION="${CORESDK_RTOS_VERSION_DOT}"
IVISION_URL="${CORESDK_RTOS_WEBLINK}/ivision.zip"
IVISION_SHA256SUM="8401e70eb7204b1e914b18d1e2a8591c120e5fde2220050f2fdd1d3765edac2d"

#REMOTE DEVICE
REMOTE_DEVICE_VERSION="${CORESDK_RTOS_VERSION_DOT}"
REMOTE_DEVICE_URL="${CORESDK_RTOS_WEBLINK}/remote_device.zip"
REMOTE_DEVICE_SHA256SUM="a1733ea6f253456a507f9f5f4f131e4995937a5bcb72432effa79f7ab2399fdd"

#Video Codec
VIDEO_CODEC_VERSION="${CORESDK_RTOS_VERSION_DOT}"
VIDEO_CODEC_URL="${CORESDK_RTOS_WEBLINK}/video_codec.zip"
VIDEO_CODEC_SHA256SUM="3ceb29fedce2eed64ff6ad84034b16fac80c443acd3179ad60a10193fde2900a"

